BADBLOCKS(8)

NUME
badblocks - caută blocuri defecte pe un dispozitiv

SINOPSIS
badblocks [ -svwnfBX ] [ -b dimensiune-bloc ] [ -c blocuri-deodată ] [ -d factor-întârziere-citire ] [ -e număr-maxim-blocuri-defectuoase ] [ -i fișier-intrare ] [ -o fișier-ieșire ] [ -p număr-pași ] [ -t model-test ] dispozitiv [ ultimul-bloc ] [ primul-bloc ]

DESCRIERE
badblocks este utilizat pentru a căuta blocuri defecte pe un dispozitiv (de obicei o partiție de disc). dispozitiv este fișierul special care corespunde dispozitivului (de exemplu, /dev/hdc1). ultimul-bloc este ultimul bloc care urmează să fie verificat; dacă nu este specificat, ultimul bloc de pe dispozitiv este utilizat în mod implicit. primul-bloc este un parametru opțional care specifică numărul blocului de pornire pentru testare, ceea ce permite ca testarea să înceapă la mijlocul discului. Dacă nu este specificat, primul bloc de pe disc este utilizat ca valoare implicită.

Notă importantă: Dacă ieșirea din badblocks va fi transmisă programelor e2fsck sau mke2fs, este important ca dimensiunea blocului să fie specificată corect, deoarece numerele de bloc care sunt generate depind foarte mult de dimensiunea blocului utilizat de sistemul de fișiere. Din acest motiv, se recomandă cu tărie ca utilizatorii să NU ruleze direct badblocks, ci să utilizeze opțiunea -c a programelor e2fsck și mke2fs.

OPȚIUNI

-b dimensiune-bloc
    Specifică dimensiunea blocurilor în octeți. Valoarea implicită este 1024.

-c blocuri-deodată
    este numărul de blocuri care sunt testate simultan. Valoarea implicită este de 64.

-d factor-întârziere-citire
    Acest parametru, dacă este trecut și este diferit de zero, va face ca blocurile defectuoase să rămână în așteptare între citiri dacă nu au existat erori în timpul operației de citire; întârzierea va fi calculată ca procent din timpul necesar pentru efectuarea operației de citire. Cu alte cuvinte, o valoare de 100 va face ca fiecare citire să fie întârziată cu cât a durat citirea precedentă, iar o valoare de 200 de două ori mai mult.

-e număr-maxim-blocuri-defectuoase
    Specifică numărul maxim de blocuri defectuoase înainte de întreruperea testului. Valoarea implicită este 0, ceea ce înseamnă că testul va continua până când se atinge sfârșitul intervalului de testare.

-f  În mod normal, «badblocks» va refuza să efectueze un test de citire/scriere sau un test nedistructiv pe un dispozitiv care este montat, deoarece oricare dintre acestea poate cauza o posibilă blocare a sistemului și/sau deteriorarea sistemului de fișiere, chiar dacă acesta este montat doar pentru citire. Acest lucru poate fi anulat cu ajutorul opțiunii -f, dar nu ar trebui să fie folosită aproape niciodată --- dacă vă credeți mai deștept decât programul badblocks, aproape sigur nu sunteți. Singurul moment în care această opțiune ar putea fi sigură de utilizat este dacă fișierul „/etc/mtab” este incorect și dispozitivul nu este montat cu adevărat.

-i fișier-intrare
    Citește o listă de blocuri defectuoase cunoscute deja existente. badblocks va sări peste testarea acestor blocuri, deoarece se știe că sunt defectuoase. Dacă fișier-intrare este specificat ca „-”, lista va fi citită de la intrarea standard. Blocurile enumerate în această listă vor fi omise din lista de blocuri defectuoase noi produsă la ieșirea standard sau în fișierul de ieșire. Opțiunea -b din dumpe2fs(8) poate fi utilizată pentru a prelua lista blocurilor marcate în mod curent ca fiind defectuoase pe un sistem de fișiere existent, într-un format adecvat pentru a fi utilizat cu această opțiune.

-n  Utilizați modul nedistructiv de citire-scriere. În mod implicit, se efectuează numai un test nedistructiv de numai-citire. Această opțiune nu trebuie să fie combinată cu opțiunea -w, deoarece acestea se exclud reciproc.

-o fișier-ieșire
    Scrie lista de blocuri defectuoase în fișierul specificat. Fără această opțiune, badblocks afișează lista la ieșirea standard. Formatul acestui fișier este potrivit pentru a fi utilizat de către aplicația opțiunea -l din e2fsck(8) sau mke2fs(8).

-p număr-pași
    Se repetă scanarea discului până când nu se descoperă blocuri noi în „număr-pași” scanări consecutive ale discului. Valoarea implicită este 0, ceea ce înseamnă că badblocks va ieși după prima trecere.

-s  Afișează progresul scanării prin scrierea unui procent aproximativ de finalizare a trecerii actuale a blocurilor defectuoase pe disc. Rețineți că «badblocks» poate efectua mai multe treceri de testare pe disc, în special dacă opțiunea -p sau -w este solicitată de utilizator.

-t model-test
    Specifică un model de test care urmează să fie citit (și scris) pe blocurile discului. model-test poate fi fie o valoare numerică între 0 și ULONG_MAX-1 inclusiv, fie cuvântul „random” (aleatoriu), care specifică faptul că blocul trebuie umplut cu un model de biți aleatoriu. Pentru modurile de citire/scriere (-w) și nedistructiv (-n), se pot specifica unul sau mai multe modele de test prin specificarea opțiunii -t pentru fiecare model de test dorit. Pentru modul „read-only” (numai-citire) se poate specifica doar un singur model și acesta nu poate fi „random”. Testarea în modul „read-only” cu un model presupune că modelul specificat a fost scris anterior pe disc - în caz contrar, un număr mare de blocuri nu vor fi verificate. Dacă sunt specificate mai multe modele, toate blocurile vor fi verificate cu un model înainte de a trece la următorul model.

-v  Modul descriptiv. Va scrie la ieșirea de eroare standard numărul de erori de citire, erori de scriere și corupții de date.

-w  Utilizează testul în modul-scriere. Cu această opțiune, badblocks caută blocuri defectuoase prin scrierea unor modele (0xaa, 0x55, 0xff, 0x00) pe fiecare bloc al dispozitivului, citirea fiecărui bloc și compararea conținutului. Această opțiune nu poate fi combinată cu opțiunea -n, deoarece acestea se exclud reciproc.

-B  Utilizează memorie tampon pentru operațiile de In/Ieș și nu folosește „Direct I/O” (In/Ieș directă), chiar dacă este disponibilă.

-X  Indicator intern care trebuie utilizat numai de e2fsck(8) și mke2fs(8). El ocolește verificarea de siguranță în modul exclusiv al dispozitivului în uz.

AVERTISMENT
Nu utilizați niciodată opțiunea -w pe un dispozitiv care conține un sistem de fișiere existent. Această opțiune șterge datele! Dacă doriți să efectuați teste în modul de scriere pe un sistem de fișiere existent, utilizați în schimb opțiunea -n. Este mai lentă, dar vă va păstra datele.

Opțiunea -e va face ca «badblocks» să emită o listă posibil incompletă de blocuri defecte. Prin urmare, se recomandă utilizarea acestei opțiuni numai atunci când se dorește să se știe dacă există blocuri defecte pe dispozitiv, și nu atunci când se dorește obținerea unei liste de blocuri defecte.

AUTOR
badblocks a fost scris de Remy Card <Remy.Card@linux.org>. Actualul responsabil cu întreținerea sa este Theodore Ts'o <tytso@alum.mit.edu>. Testul nedistructiv de citire/scriere a fost implementat de David Beattie <dbeattie@softhome.net>.

DISPONIBILITATE
badblocks face parte din pachetul „e2fsprogs” și este disponibil la http://e2fsprogs.sourceforge.net.

CONSULTAȚI ȘI
e2fsck(8), mke2fs(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.